#
#Source with submodules - git clone --recurse-submodules -j4 https://gitlab.com/leinardi/gwe.git
#


Name:   gwe
Version:    0.12.3
Release:    %mkrel 3
Summary:    GWE is a GTK system utility to provide information, control the fans and overclock NVIDIA GPU
License:    GPLv2+
URL:        https://gitlab.com/leinardi/gwe
Source0:    https://gitlab.com/leinardi/gwe/-/archive/0.12.3/%{name}-%{version}.tar.xz
Group:  System/Monitoring

BuildRequires: meson
BuildRequires: python3-pip
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: lib64dazzle-devel
BuildRequires: pkgconfig(gtksourceview-3.0)
BuildRequires: lib64appindicator3-devel
BuildRequires: python3-gobject3
BuildRequires: lib64girepository-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64appstream-glib-devel
BuildRequires: libnotify
BuildRequires: python3-cairo-devel
BuildRequires: python3-cffi
BuildRequires: lib64python3-devel
BuildRequires: python3-pip
BuildRequires: desktop-file-utils

Requires:   python3-matplotlib-gtk3
Requires:   python3-peewee
Requires:   python3-gobject3
Requires:   python3-matplotlib
Requires:   python3-requests
Requires:   python3-pyxdg
Requires:   python3
Requires:   python3-pyxdg
Requires:   python3-kiwisolver
Requires:   python3-nvml
Requires:   python3-injector
Requires:   python3-nvml
Requires:   python3-rx
Requires:   python3-xmltodict
Requires:   lib64dazzle1.0_0
Requires:   python3-cycler
Requires:   python3-numpy
Requires:   python3-dateutil


%description
GWE (GreenWithEnvy) is a GTK system utility designed to provide information, control the fans and overclock your NVIDIA video card
and graphics processor.

- Show general GPU stats (model name, driver version, gpu/memory/power usage, clocks, temps, etc)
- GPU and Memory overclock offset profiles
- Custom Fan curve profiles
- Change power limit
- Historical data graphs


%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install \
 --add-category="X-MandrivaLinux-System-Configuration-Hardware" \
  --dir=%{buildroot}%{_datadir}/applications       \
 %{buildroot}%{_datadir}/applications/*
 

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{python3_sitelib}/*
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/metainfo/*
%{_datadir}/dbus-1/services/com.leinardi.gwe.service
%{_datadir}/glib-2.0/schemas/com.leinardi.gwe.gschema.xml
%{_datadir}/%{name}/com.leinardi.gwe.gresource

%changelog
* Fri Sep 13 2019 tex - 0.12.3-3pclos2019
- rebuild against updates

* Sat Aug 31 2019 tex - 0.12.3-2pclos2019
- rebuild against updates

* Fri May 17 2019 pckg <pckg at email.cz> 0.12.3-1pclos2019
- initial package
